ApcUps Plasmoid
System Software
Score 61%
Description:

ApcUps - Uninterruptible Power Supply monitor for APC brand UPSes

A KDE Plasma component that monitors uninterruptible power supplies controlled by apcupsd . It can connect to any UPS (or more precisely: any apcupsd daemon) which is reachable over the network.

Installation
To install, download and unpack the source and then run ./install.sh (requires root privileges), or alternatively use one of the prepackaged alternatives from one of the download links below.

If the links below are out of sync with the repository, point your browser to http://download.opensuse.org/repositories/home:/licehunter/ and look for availability of binaries for your chosen distro.

See http://code.google.com/p/plasma-apcups/wiki/Installation for more info on installing from source.

User Guide
A user guide is available in the project's wiki page at http://code.google.com/p/plasma-apcups/wiki/UserGuide
Last changelog:

7 years ago

0.2.1 - Sat Feb 26 2011

[li] Fixed problem with acquiring initial state, and with display of event notifications[/li]
[li] Updated translations[/li]

0.2.0 - Fri Feb 25 2011

[li] Added "What's this?" help to config dialogue[/li]
[li] Added events notification via system tray[/li]

0.1.3 - Fri Sep 10 2010

[li] Added configuration options to specify warning and
critical thresholds for battery charge and system load[/li]
[li]Added i18n framework and a couple of translations[/li]

0.1.2 - Thu Aug 19 2010

[li]Added configuration option to specify a port other than 3551[/li]
[li]Changed the green icons to a slightly darker hue[/li]

ub1x

5 years ago

Very nice and helpfully Plasmoid - if you have APC-UPS(s) :-)
But only that the Plasmoid is only in the Factory and 11.4 build and not 12.1 or better tumbleweed is not so optimize.

Ciao
UbIx

Report

uteck

7 years ago

The Ubuntu package provided does not install if KDE 4.5.1 is installed. Building from source works fine.

plasma-apcups depends on kdebase-workspace-libs4+5 (>= 4:4.3.2); however:
Package kdebase-workspace-libs4+5 is not installed.

I would have to downgrade my entire KDE to install the package since it appearers that it is not used in 4.5

Report

C

plasmaapcups

7 years ago

Thanks for the report. Would you happen to know which package replaces kdebase-workspace-libs4+5 with KDE 4.5.1 installed?

Report

uteck

7 years ago

If I am reading this page correctly; http://www.ubuntuupdates.org/packages/show/201644
"Description: Transitional package for kdebase-workspace-libs4+5.
This package is part of the KDE 4 base workspace module."

It looks like it was merged with kdebase-workspace and no longer a separate package.

Report

C

plasmaapcups

7 years ago

I believe your assessment is correct, although I haven't been able to test first hand yet.

The dependencies have been corrected in revision 9f379e9ab9 (http://code.google.com/p/plasma-apcups/source/list) and will be included in the next release.

Thank you once again for your help!

Report

uteck

7 years ago

Very nice. It works so much better with KDE 4.5 then gapcmon.

Report

uteck

7 years ago

Download links are broken.

Report

C

plasmaapcups

7 years ago

Indeed. The links are supposed to update automatically every 30 min but obviously that hasn't happened. I have now replaced them with manual links to one-click installs for version 0.1.2.

Thank you for the heads-up.

Report

7 years ago

0.2.1 - Sat Feb 26 2011

[li] Fixed problem with acquiring initial state, and with display of event notifications[/li]
[li] Updated translations[/li]

0.2.0 - Fri Feb 25 2011

[li] Added "What's this?" help to config dialogue[/li]
[li] Added events notification via system tray[/li]

0.1.3 - Fri Sep 10 2010

[li] Added configuration options to specify warning and
critical thresholds for battery charge and system load[/li]
[li]Added i18n framework and a couple of translations[/li]

0.1.2 - Thu Aug 19 2010

[li]Added configuration option to specify a port other than 3551[/li]
[li]Changed the green icons to a slightly darker hue[/li]

product-maker ub1x Jun 16 2012

product-maker 6 12

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.2.1
updated Feb 26 2011
added Aug 17 2010
downloads today
0
page views today 0